package com.lovcoding.day05.homework;

public class Test05 {
    //定义变量week赋值为上一年12月31日的星期值（可以通过查询日历获取），定义变量year、month、day，
    // 分别赋值任意年日期年、月、日值。计算今天是星期几。
    public static void main(String[] args) {
        //week = 6
        int week = 6;

        int year = 2024;
        int month = 1;
        int day = 15;

        //求和
        int days = 0;
        days += day;

        //年份天数
        for (int i = 2022; i < year-1 ; i++) {
            //整年的天数
            days+=365;
            //闰年
            if (year % 4 == 0 && year % 400 == 0 || year % 100 ==0){
                days++;
            }
        }

        //月份天数
        for (int i = 1; i < month; i++) {
            //30天  28天  29天 31天
            if( i == 4 || i == 6 || i == 9 || i ==11 ){
                days+=30;
            }else if ( i == 2){
                days+=28;
                if (year % 4 == 0 && year % 400 == 0 || year % 100 ==0){
                    days++;
                }
            }else{
                days+=31;
            }
        }

        //总天数 + week 对 7 取模  最后是星期几？

        days = days + week;

        switch (days%7){
            case 1:
                System.out.println("星期1");
                break;
            case 2:
                System.out.println("星期2");
                break;
            case 3:
                System.out.println("星期3");
                break;
            case 4:
                System.out.println("星期4");
                break;
            case 5:
                System.out.println("星期5");
                break;
            case 6:
                System.out.println("星期6");
                break;
            case 7:
                System.out.println("星期日");
                break;
        }

    }
}
